org.jgroups.blocks

## Class TwoPhaseVotingAdapter.TwoPhaseWrapper

- java.lang.Object
- - org.jgroups.blocks.TwoPhaseVotingAdapter.TwoPhaseWrapper

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    TwoPhaseVotingAdapter

      public static class TwoPhaseVotingAdapter.TwoPhaseWrapper
      extends java.lang.Object
      implements java.io.Serializable

  Wrapper of the decree to voting decree.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoPhaseVotingAdapter.TwoPhaseWrapper(java.lang.Object decree)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()`
    `void` | `commit()`
    `java.lang.Object` | `getDecree()`
    `boolean` | `isAbort()`
    `boolean` | `isCommit()`
    `boolean` | `isPrepare()`
    `void` | `setDecree(java.lang.Object decree)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TwoPhaseVotingAdapter.TwoPhaseWrapper

          public TwoPhaseVotingAdapter.TwoPhaseWrapper(java.lang.Object decree)

  - ### Method Detail

    - #### getDecree

          public java.lang.Object getDecree()

    - #### setDecree

          public void setDecree(java.lang.Object decree)

    - #### isPrepare

          public boolean isPrepare()

    - #### isCommit

          public boolean isCommit()

    - #### isAbort

          public boolean isAbort()

    - #### commit

          public void commit()

    - #### abort

          public void abort()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.